libcamera v0.7.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
pwl.h File Reference

Piecewise linear functions. More...

`#include <algorithm>`
`#include <functional>`
`#include <string>`
`#include <utility>`
`#include <vector>`
`#include "libcamera/internal/vector.h"`
Include dependency graph for pwl.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | libcamera::ipa::Pwl
| Describe a univariate piecewise linear function in two-dimensional real space. More...
class | libcamera::ipa::Pwl::Interval
| Describe an interval in one-dimensional real space. More...

## Namespaces
namespace | libcamera
| Top-level libcamera namespace.
namespace | libcamera::ipa
| The IPA (Image Processing Algorithm) namespace.

## Detailed Description

Piecewise linear functions.